//=============================================================================
// aq_class_buildorbitlist.c
//
// 
// 23 Nov 2001 Version 1.0
// 08 Aug 2003 Version 2.0 - return true/false if newpass
//
// Purpose:
// 	Accummulate a list of orbits (see aq_class_orbitstuff.h) by successive
//	calls to checkpacket().
//
//	When all packets have been checked, list is retrieved by getorbitlist()
//
//=============================================================================

#include "aq_class_buildorbitlist.h"


bool buildorbitlist::checkpacket( gbadpacket& pkt )
{
    static bool   newPass  = true;
    static double lastZposition = 0.0 ;

    double thisZposition = pkt.Position()[2];
    double thisTime = pkt.TimeTag();

    if( thisZposition >= 0.0 && lastZposition < 0.0) newPass = true;

    if( newPass )
    {
	orbitstuff orbit;
	orbit.beginpkt = pkt;
	orbitList.push_back( orbit );
    }

    if( thisZposition <= 0.0 && lastZposition > 0.0) 
	orbitList.back().descendingTime = thisTime;

    if( thisZposition >= 0.0 && lastZposition < 0.0)
	orbitList.back().ascendingTime  = thisTime;

    orbitList.back().endTime = thisTime;

    lastZposition = thisZposition;
	
	bool retFlag = newPass;
    newPass = false;
	
	return retFlag;
}


const vector<orbitstuff>&  buildorbitlist::getorbitlist() const
{
    return orbitList;
}


