//==============================================================================
// aq_class_configurationfile.h - 
//
// 
// 20 Jul 2000 Version 1.0
//
// The configuration file contains parameters to be changed operationally 
// without recompiling program. 
//
// Configuration file contains ASCII lines delimited by '\n'.  Each line holds a
// keyword followed by a value.   The keyword may not contain blanks.  The value
// begins with 1st non-blank space after the keyword and ends with last 
// non-blank.
//
// example:
//
//	keyword   this is the value  '\n'
//
//==============================================================================


#if !defined(AQ_CLASS_CONFIGURATIONFILE)
#define      AQ_CLASS_CONFIGURATIONFILE

#include "aq_class_basefile.h"

#include <fstream>
#include <string>
 using namespace std;


class configurationfile : public ifstream, public basefile
{
    string buffer;

public:

    configurationfile( const string& fileName ); 
    configurationfile& readline( string& keyword, string& value);
};

#endif
