//=============================================================================
// aq_class_gbadinterpolator.h
//
// 
// 10 Jan 2002 Version 1.0
//
// Description:
//
// 	This class onstructs an interpolator for each of:
//	p[ 0] - p[ 2] 	position
//	p[ 3] - p[ 5] 	velocity
//	p[ 6] - p[ 9] 	attitude
//	p[10] - p[12]   attitude rate.
//
// The  interpolators are initialized from packets in a windowbuffer.
// interpolate() returns 13 element array of values interpolated to time.
//
//
//=============================================================================

#if !defined(AQ_CLASS_GBADINTERPOLATOR)
#define      AQ_CLASS_GBADINTERPOLATOR


#include "aq_typdef_header.h"
#include "aq_class_nevilleinterpolater_2.h"
#include "aq_class_windowbuffer.h"
#include "aq_class_extgbadpacket.h"


class gbadinterpolator
{

    nevilleinterpolater_2 interpolators[13];

public:
    gbadinterpolator() {};
    void  load( const windowbuffer<extgbadpacket>& wbuf );
    array interpolate( double time );
};


#endif
