//==============================================================================
// aq_class_noradfile.h
//
// 
// 22 May 2001 Version 1.0
//
// Purpose:
// 	This class defines a NORAD Two-Line Element Set input file
//
// Note:
// 	file contains satellite names followed by current NORAD two-line elements. 
//	Empty lines are permited:
//
//AQUA
//1 20643U 90051A   00106.74030013 -.00000098  00000-0  10000-3 0  3799
//2 20643   1.7872  88.9300 0010028 254.0669 201.5776  1.00266665 22906
//
//==============================================================================


#if !defined( AQ_CLASS_NORADFILE)
#define       AQ_CLASS_NORADFILE

#include "aq_typdef_header.h"
#include "aq_class_basefile.h"
#include "orbitlib_class_NoradElements.h"

#include <fstream>


class noradfile : public ifstream, public basefile
{
    string satName;
    string line1;		
    string line2;

public:

    noradfile( cstring& fileName, cstring& satName );
    noradfile& read( noradelements& noradtle );

    void print( ostream& os )  const;
};

#endif


