//==============================================================================
// aq_class_packetfile.h
//
// 
// 17 May 2001 Version 1.0
// 13 Aug 2002 Version 2.0 - redesign to handle multiple APIDs. NOTE CHANGE IN
//			     CONSTRUCTOR ARGS.
//
// 02 Apr 2003 Version 2.1 - ignore packets with duplicate sequence numbers
// 11 Aug 2003 Version 2.2 - at NoPackets() function

// This class defines a CCSDS Packet File
// The index is the packet number in the file. First packet is 0.
//
//==============================================================================

#if !defined( AQ_CLASS_PACKETFILE)
#define       AQ_CLASS_PACKETFILE

#include "aq_class_packet.h"
#include "aq_class_basefile.h"
#include "aq_typdef_header.h"

#include <fstream>
#include <vector>
 using namespace std;


class packetfile : public ifstream, public basefile
{
    size_t pktAPID;
    int    index;
    vector<size_t> pktList;

public:

    packetfile( const string& fileName, size_t  apid );

    size_t BegPacket() const;	//  return packet number. First
    size_t EndPacket() const;	//  packet is number zero.

    size_t CurPacket() const; 	//  return current packet number.
				//  return MAX if no packets yet read.

	size_t NoPackets() const;	//  no of specifed packets in file
    size_t ReqApid()   const;	//  requested APID

    packetfile& ReadPacket( packet& pkt, size_t pktnumber );
    packetfile& ReadPacket( packet& pkt ); 	// read next packet;


    virtual ~packetfile() { }
};

ostream& operator<<( ostream& os, packetfile& pfile);
#endif


