//=============================================================================
// aq_class_qualityflags.h
//
// 
//
// 09 Jan 2002 Version 1.0
// 28 May 2002         1.1 - fix several missing "return this*"
//			   - add "using namespace" directive for bitset
//
// Quality Flags described in SDP Toolkit, Appendix L.
//
//=============================================================================

#if !defined(AQ_CLASS_QUALITYFLAGS)
#define      AQ_CLASS_QUALITYFLAGS

#include <iostream>
#include <bitset>
 using namespace std;

class quality_flags
{
    bitset<16> qualityflags;
    
public:
    quality_flags& setSmallGapFollows() { qualityflags.set( 8); return *this; }
    quality_flags& setSmallGapBefore () { qualityflags.set( 7); return *this; }
    quality_flags& setLargeGapFollows() { qualityflags.set( 9); return *this; }
    quality_flags& setLargeGapBefore () { qualityflags.set( 6); return *this; }
    quality_flags& setGapRepaired()     { qualityflags.set( 5); return *this; }
 
    quality_flags() { clear();}
    quality_flags& clear() { qualityflags.reset(); return *this; }
	
    bitset<16>  getqualityflags() const { return qualityflags;}

    quality_flags&  setqualityflags(size_t flags) { 
	qualityflags = flags; 
	return *this;
    }

    virtual ~quality_flags() { }
};

ostream& operator<<( ostream& os, const quality_flags qflags );

#endif





