//=============================================================================
// aq_class_repairpktstream.h
//
// 
// 11 Jan 2002 Version 1.0
//
//
// Replace missing GBAD packets by interpolating between gaps and set qualilty
// flags related to gaps. 
//
// See SDP ToolKit Appendix L, Ephemeris and Attitude Formats for flag
// descriptions.
//
// getfixedpkt() returns pointer to successive packects in a stream repaired by
// interpolating across gaps.
//
//
//=============================================================================

#if !defined(AQ_CLASS_REPAIRPKTSTREAM)
#define      AQ_CLASS_REPAIRPKTSTREAM

#include "aq_class_packetfile.h"
#include "aq_class_centeredwindowbuffer.h"		
#include "aq_class_extgbadpacket.h"
#include "aq_class_gbadinterpolator.h"
#include "aq_class_qualityflags.h"

class repairpktstream
{
    bool   smallGapFlag;
    double thisTime;
    double nextTime;
   
    quality_flags    qFlags;
    extgbadpacket*   thisPkt;
    gbadpacket*      lastPktRead;
    gbadinterpolator gbadInterpolator; 

    packetfile&  pktfile;
    size_t       pktno;

    centeredwindowbuffer<extgbadpacket> wbuffer;
 
    gbadpacket* clearPkt( extgbadpacket& pkt );

public: 
    repairpktstream( packetfile& pfile );   
    gbadpacket*   getfixedpkt( );
    quality_flags getQualityFlags()  { return qFlags; }
    const gbadpacket*   getLastPktRead();
};



#endif




