
//=============================================================================
// aq_proc_CopyEphemerisMetaData.h - write metadata footers to Ephemeris File
//
// 
// 16 Jan 2002 Version 1.0
//
//	Get list of orbits (orbitstuff structs) assembled by "pktprocessor",
//	then loop thru list, using "satPass" to compute orbit parameters
//	which are loaded into "ephemerismetadata" structs and written to file.
//	
//=============================================================================

#if !defined(AQ_PROC_COPYEPHEMERISMETADATA)
#define      AQ_PROC_COPYEPHEMERISMETADATA


#include  "aq_class_attitudefile.h"
#include  "aq_class_ephemerisfile.h"
#include  "aq_class_gbadpktprocessor.h"
#include  "aq_class_cfg_list.h"
#include  "orbitlib_class_NoradElements.h"

void CopyEphemerisMetaData( 
     gbadpktprocessor&    pktprocessor, 
     const noradelements& noradtle, 
     ephemerisfile&       efile ,
     const cfg_list&      configList 	// from configuration file
);


#endif
