//=============================================================================
// aq_proc_CopyFiles.h
//
// Coded by C. Hoisingon, Science Systems and Applications, Inc.
// 16 Jan 2002
//
// 	Read packets from packet file and write Ephemeris and Attitude files.
//
//      "processPkt" accummulates file-wide statistics and does processing that
//	spans packets. It repairs record gaps.
//=============================================================================

#if !defined(AQ_PROC_COPYFILES)
#define      AQ_PROC_COPYFILES

#include  "aq_class_gbadpktprocessor.h"
#include  "aq_class_attitudefile.h"
#include  "aq_class_ephemerisfile.h"
#include  "aq_class_cfg_list.h"


void  CopyFiles( 

      gbadpktprocessor&  processPkt, 	// input packet processor
      ephemerisfile&     efile, 	// output ephemeris file
      attitudefile&      afile, 	// output attitude file
      const cfg_list&    configList 	// configuration file
);

#endif
