//==============================================================================
// aq_proc_Mil1750_EPFP.h
//
// 
// 17 May 2001 Version 1.0
//
// Purpose:
// 	Convert squirrely MIL-STD-1750A Extended Precision Floating Point 
//	format to double precision number. 
//
//	See "Mil-Std-1750A, Notice 1, Sixteen-Bit Computer Instruction Set
//	Architecture, July 1980", section 4.1.6. 
//
// Usage: 
//	ptr points to 6-byte 1750A Extended Precision Floating Point Number
//
//==============================================================================

#if !defined(AQ_PROC_MIL1750)
#define      AQ_PROC_MIL1750

double  MiL1750_EPFP( char* ptr );
double  MiL1750_FP( char* ptr );

#endif
