//------------------------------------------------------------------------------
//
// constlib_EarthConstants.h - commonly used earth-related constants
//
// 05 Oct 1999 Version 1.0
//
//------------------------------------------------------------------------------

#if  !defined(CONSTLIB_EARTH_CONSTANTS)
#define CONSTLIB_EARTH_CONSTANTS


    const long double
                                                  // Spherical Harmonics
    earth_const_J2 = 1082.6271e-6,            
    earth_const_J3 =   -2.5358868e-6,         
    earth_const_J4 =   -1.624618e-6,         
    earth_const_J5 =   -0.22698599e-6,      
						 // Earth equat. Radius (meters)
    earth_const_equatorialRadius     = 6378149.196,   

    earth_const_equatorialRadiusPow2 = 
	earth_const_equatorialRadius * earth_const_equatorialRadius,

    earth_const_equatorialRadiusPow3 = 
	earth_const_equatorialRadius * earth_const_equatorialRadiusPow2,

    earth_const_polarRadius      = 6356764.278,                 // Earth polar Radius (meters)

    earth_const_polarRadiusPow2  = 
	earth_const_polarRadius * earth_const_polarRadius,      // Earth polar Radius **2

    earth_const_polarRadiusPow3  = 
	earth_const_polarRadius * earth_const_polarRadiusPow2,  // Earth polar Radius **3

    earth_const_mass   = 5.9742e+24,                      // earth mass kg.
    earth_const_GM     = 3.9860064e+14,                   // GM m**3 / sec**2
    earth_const_sqrtGM = 19964985.35,                     // sqrt (GM)

    earth_const_eccentricity        = 0.081819182,        // earth eccentricity
    earth_const_eccentricityPow2    = 6.694378665e-3,     // earth eccentricity **2
    earth_const_flattening          = 3.35281e-3,         // earth flattening factor
    earth_const_flatteningPow2      = 1.12413e-5,         // earth flattening **2
    earth_const_rotationRate        = 0.7292115850e-4     // angular velocity (rad/sec)
    ;

#endif
