//------------------------------------------------------------------------------
//
// constlib_ MathConstants.h - commonly used Mathematicl constants
//
// 05 Oct 1999 Version 1.0
//
//------------------------------------------------------------------------------

#if  !defined(CONSTLIB_MATH_CONSTANTS)
#define       CONSTLIB_MATH_CONSTANTS


//------------------------------------------------------------------------------
// Math Constants

    const long double
    math_const_e            = 2.7182818284590452354,      // e (natural number)
    math_const_log10ToLnE   = 0.43429448190325182765,     // log10 x = 0.434 ln x
    math_const_ln2          = 0.69314718055994530942,     // ln 2
    math_const_lnEToLog10   = 2.30258509299404568402,     // ln x = 2.302 log10 x

    math_const_pi           = 3.14159265358979323846,     // pi
    math_const_piOver2      = 1.57079632679489661923,     // pi/2
    math_const_piOver4      = 0.78539816339744830962,     // pi/4
    math_const_oneOverPi    = 0.31830988618379067154,     // 1/pi
    math_const_twoOverPi    = 0.63661977236758134308,     // 2/pi
    math_const_twoOverSqrtPi= 1.12837916709551257390,     // 2/sqrt(pi)
    math_const_sqrt2        = 1.41421356237309504880,     // sqrt(2)
    math_const_sqrt2Over2   = 0.70710678118654752440,     // sqrt(2) / 2

    math_const_twoPi            = 2.L  *  math_const_pi,
    math_const_radiansToDegrees = 180.L / math_const_pi,   // radians to deg
    math_const_degreesToRadians = math_const_pi  / 180.L   // deg to radians
;

#endif
