//==============================================================================  
// DumpNorad.c - dump Entry in Norad File
//
// 04 June 2001 Version 1.0
//
// DumpNorad -noradfile filename  -noradsatname satellite name
//
//============================================================================== 


#include <iostream>
#include <iomanip>
#include <string>
 using namespace std;

#include "orbitlib_class_NoradElements.h"
#include "aq_class_noradfile.h"
#include "aq_class_configurationlist.h"
#include "aq_proc_readcmdline.h"
#include "aq_proc_fileopencheck.h"



class cfg_list : public configuration_list
{
public:
    cfg_list()
    {
        define( "-noradfile" );
        define( "-satname", "AQUA");
   }
};


int main(int argc, char* argv[] )
{
    cfg_list cmdLine;
    ReadCmdLine( cmdLine, argc, argv );

    cout<<"\nDumpNorad"<<endl;
    cout<<cmdLine<<endl;

    string filename = cmdLine.getvalue("-noradfile");
    string satname  = cmdLine.getvalue("-satname");

    noradfile nfile( filename, satname);
    FileOpenCheck(nfile);

    noradelements tle;
    nfile.read(tle);

    if( !nfile )
    cerr<<"\nread error"<<endl;

    cerr<<"\nfile Dump"<<endl;
    nfile.print(cerr);

    cerr<<"\nclass Dump"<<endl;
    tle.Print(cerr);
}
 
