//==============================================================================
// GBAD Packet Headers Diagnostic - List Packets in Packet File
//
// 14 Aug 2002  Version 1.0
// 16 Aug 2007  Version 1.1 - add int return to main()
//							- replace <iostream.h>, <fstream.h> <iomanip.h>
//
// List packet header  D packet file. 
//
// ListPktHeaders -file filename -beg [0] -cnt [all]  
//
//
//==============================================================================

#include <iostream>
#include <fstream>
#include <iomanip>

#include "aq_class_gbadpacket.h"
#include "aq_class_packetfile.h"
#include "aq_typdef_header.h"
#include "aq_proc_printarray.h"
#include "aq_proc_fileopencheck.h"
#include "aq_proc_readcmdline.h"



//------------------------------------------------------------------------------
// cfg_list
//
//------------------------------------------------------------------------------

class cfg_list : public configuration_list
{
public:
    cfg_list()
    {
        define( "-file"  );
        define( "-beg", "0" );
        define( "-cnt", "all" );
   }
};


//------------------------------------------------------------------------
// main
//
//------------------------------------------------------------------------

int main(int argc, char* argv[])
{
    cout<<"\nPacket File Diagnostic"<<endl;

    cfg_list cmdline;
    ReadCmdLine( cmdline, argc, argv );
    cout<<cmdline<<endl;


    //-----------------------------------
    // Open GBAD File
    //-----------------------------------

    string fileName  = cmdline.getvalue( "-file" );

    ifstream pktFile( fileName.c_str() );
    if( !pktFile )
    {
	cout<<"file open failed"<<endl;
	return -1;
    }


    //-----------------------------------
    // Read GBAD Packets
    //-----------------------------------

    size_t cnt = size_t(-1);
    if( cmdline.getvalue( "-cnt" ) != (string)"all")
        cnt = atoi( cmdline.getvalue( "-cnt" ).c_str() );

    size_t beg = atoi( cmdline.getvalue( "-beg" ).c_str() );
    size_t knt = 0;
    packet pkthdr(6);


    while( 1 )
    {
	size_t cpos = pktFile.tellg();			 // get packet start

        if( !pkthdr.ReadPkt( pktFile ) ) break;
	    
	pktFile.seekg( pkthdr.PktSize(), ios::cur ); // read past rest of pkt
	if( !pktFile ) break;
	
	if( knt   < beg ) continue;
	if( knt++ > cnt ) break;

	cout<<pkthdr<<endl; 
    }


    if( pktFile.eof() )
    {
	cout<<"\nNormal EOF"<<endl;
	return 0;
    }
	


}






  

