#!/usr/bin/tclsh
#==============================================================================
# hdrtouch- 
#
# 
# 17 Jan 2002 Version 1.0
#
# Touch source files earlier than their header files so that "make" will 
# re-compile.
#
#==============================================================================

#------------------------------------------------------------------------------
# Directories to search for header files
#
#------------------------------------------------------------------------------
set  dirlist ". ./orbitlib ./mathlib ./timelib ./constlib"



puts "\n---hdrtouch--- [exec date]"

#------------------------------------------------------------------------------
# findhdrdate -
# 	search for headr file in directory list and return date if file found
#
#------------------------------------------------------------------------------
proc findhdrdate { dirlist hfile } {

    foreach dir $dirlist {
   
        set  sfile "$dir/$hfile"
        set  sfiledate ""

        if [catch {file mtime $sfile} date ] { 
#		puts "\tfail- $sfile"
	} else { 
	    set sfiledate $date
#	    puts "\tOK  - $date  $sfile"
	    break
        }
    }

    return $sfiledate
}

#-----------------------------------------------------------------------------
# loop for each source file in current directory
#
#-----------------------------------------------------------------------------
set filelist [glob -nocomplain "*.c"]

foreach filename $filelist {

    set filedate [file mtime $filename]
    set file [open $filename r]

    set msglist {}
    set tchfile ""

    while { [gets $file line] >=0} {

	 scan $line "%s%s" key hfile

	 if {[string  match  #include  $key]}  {
	
	    if {[string compare [string index $hfile 0] \"] == 0}  {

		set hfile [string trim $hfile "\""]
		set hfiledate [findhdrdate $dirlist $hfile]

		if {$hfiledate == ""} {
			
		    if {[llength $msglist]==0} {lappend msglist "\n$filename"}
		    lappend msglist "\tnot found: $hfile"
		} else {
			
		    if { $filedate < $hfiledate } {
			    
			if {[llength $msglist]==0} {lappend msglist "\n$filename"}
			lappend msglist "\t$filedate $hfiledate touch src  $hfile"

			set tchfile $filename
		    } 
		}
	    }
        }
    }
    close $file

    foreach msgline $msglist {
	puts $msgline
    }

    if { $tchfile != ""} {
	 eval exec touch $tchfile
    }
}

puts "---hdrtouch end---"





