//==============================================================================
// mathlib_proc_Magnitude.c
//
// 13 Nov 2000 Version 1.0
//
// compute vector magnitude
//
//==============================================================================

#include <assert.h>
#include <math.h>

#include "mathlib_proc_Magnitude.h"


//------------------------------------------------------------------------------
// Magnitude of vector expressed as column matrix
//
//-----------------------------------------------------------------------------

double Magnitude( const matrix& m1 )
{
    assert( m1.colsize() == 1);

    double mag =  0.0 ;
    for( size_t rw = 1; rw<= m1.rowsize(); rw++) mag += m1(rw) * m1(rw);

    return sqrt(mag);
}


//------------------------------------------------------------------------------
// magnitude of vector expressed as vector<double>
//
//-----------------------------------------------------------------------------

double Magnitude( const vector<double>& v1 )
{
    double mag =  0.0 ;
    for( size_t rw = 0; rw< v1.size(); rw++) mag += v1[rw] * v1[rw];

    return sqrt(mag);
}
