//=============================================================================
// orbitlib_proc_InertialToOrbitalMtx.c
//
// 25 Oct 2001 Version 1.0
//
// purpose:
//	From a position and velocity vector in Inertal coordinates, compute 
//	rotation matrix to Orbital Coordinates.
//
// Note:  
//     y is negative orbit normal or -h (momentum vector) 	- yaw
//     z is toward Earth center					- pitch
//     x is y x z  which is in direction of spacecraft velocity	- roll
//
//===========================================================================

#include "mathlib_proc_UnitVector.h"
#include "mathlib_proc_CrossProduct.h"
#include "orbitlib_proc_InertialToOrbitalMtx.h"


matrix InertialToOrbitalMtx( carray& pos, carray& vel )
{
    matrix p = matrix(3).getarray(pos);
    matrix v = matrix(3).getarray(vel);

    matrix z  = UnitVector( -p );	   
    matrix y  = UnitVector( -CrossProduct( p, v )  );
    matrix x  = UnitVector(  CrossProduct( y, z )  );

    matrix rotate(3,3);
    rotate.subarray(1,1) = x++;
    rotate.subarray(2,1) = y++;
    rotate.subarray(3,1) = z++;

    return rotate;
}



