//=============================================================================
// orbitlib_proc_QuaternionToAttitudeMtx.h
//
// 25 Oct 2001 Version 1.0
//
// Purpose:
//	Compute equivalent attitude matrix from a normalized quaternion
// 	
// Method:  
//	See "Satellite Attitude Determination and Control", Wertz, section 12.1
//
// Note:
//	Q is 4-entry array; last entry is scaler part of quaternion.
//
//===========================================================================


#if !defined(ORBITLIB_PROC_QUATERNIONTOATTITUDEMTX)
#define      ORBITLIB_PROC_QUATERNIONTOATTITUDEMTX

#include "aq_typdef_header.h"
#include "mathlib_class_Matrix.h"

matrix QuaternionToAttitudeMtx( carray& Q );

#endif

