//==============================================================================
// timelib_dateproc_ConvertDayAndHourMinuteSecond.c 
//
// 03 Nov 1999 Version 1.0
//
// Convert between the fractional part of days and hours, minutes, and seconds
//
//==============================================================================

#include "timelib_dateproc_ConvertDayAndHourMinuteSecond.h"
#include <stdlib.h>
#include <math.h>


//------------------------------------------------------------------------------
// DayToHourMinuteSecond- 
//
//  Convert days to whole days and fraction to hours, minutes, seconds. Returns
//  integer number of whole days.
//
//------------------------------------------------------------------------------

long DayToHourMinuteSecond (double day, size_t& hour, size_t& minute, double& second)
{
    double wholeDay;
    second = modf(day, &wholeDay) * 86400.0L;
    
    hour   = (int)( second / 3600 );
    second-= hour * 3600;
    
    minute = (int)( second / 60   );
    second-= minute * 60;
    
    return (long)wholeDay; 
}


//------------------------------------------------------------------------------
// HourMinuteSecondToDay -
//
//  Convert days, hours, minutes, seconds to days. Returns floating days.
//
//------------------------------------------------------------------------------

double HourMinuteSecondToDay (size_t day, size_t hour, size_t minute, double second)
{
    return day + hour/24.0L + minute/1440.0L + second/86400.0L;
}
